> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a label by externalId



## OpenAPI

````yaml /deploy/api/openapi.json get /api/v1/appuid/{appUid}/labels/externalId/{externalId}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/labels/externalId/{externalId}:
    get:
      tags:
        - Labels
      summary: Retrieve a label by externalId
      operationId: getLabelByExternalId
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: externalId
          in: path
          description: Unique externalId of the label
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  uid:
                    type: string
                    description: Unique ID of the label
                  externalId:
                    type: string
                    description: >-
                      Optionally id of external store where content has been
                      ingested from
                  name:
                    type: string
                  showInDiscovery:
                    type: boolean
                    description: Is this label visible to end users?
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO 8601)
                    format: date-time
        '404':
          description: Label not found
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````